<?php

namespace Modules\Facture\Service;

use Helpers\Trad\ITrad;

class FactureDematResolveForm extends FactEntForm
{
    public function __construct(\PDO $pdo, ITrad $trad)
    {
        parent::__construct($pdo, $trad);

        // Only use the following fields
        foreach ($this->list() as $input) {
            if (! in_array($input->name, [
                'CODE_STE',
                'CODE_FOUR',
                'DEVISE',
                // TODO : ChampSup
            ])) {
                $this->remove($input->name);
            }
        }
    }
}
